### Hierarchy

- unknown
  - PrivateNotificationPayload

## Index

### Constructors

- constructor

### Methods

- getMessage
- getSigPublicKeyBytes
- getSigPublicKeyBytes_asB64
- getSigPublicKeyBytes_asU8
- getSignatureAsBase64
- serializeBinary
- setMessage
- setSigPublicKeyBytes
- setSignatureAsBase64
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PrivateNotificationPayload(): PrivateNotificationPayload

- Inherited from jspb.Message.constructor

  #### Returns PrivateNotificationPayload

## Methods

### getMessage

- getMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:2751

  #### Returns string

### getSigPublicKeyBytes

- getSigPublicKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2757

  #### Returns string | Uint8Array

### getSigPublicKeyBytes_asB64

- getSigPublicKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2759

  #### Returns string

### getSigPublicKeyBytes_asU8

- getSigPublicKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2758

  #### Returns Uint8Array

### getSignatureAsBase64

- getSignatureAsBase64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2754

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2762

  #### Returns Uint8Array

### setMessage

- setMessage(value: string): PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2752

  #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationPayload

### setSigPublicKeyBytes

- setSigPublicKeyBytes(value: string | Uint8Array): PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2760

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PrivateNotificationPayload

### setSignatureAsBase64

- setSignatureAsBase64(value: string): PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2755

  #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationPayload

### toObject

- toObject(includeInstance?: boolean): PrivateNotificationPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2763

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PrivateNotificationPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2766

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrivateNotificationPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrivateNotificationPayload, reader: BinaryReader): PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2767

  #### Parameters

  - ##### message: PrivateNotificationPayload

  - ##### reader: BinaryReader

  #### Returns PrivateNotificationPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PrivateNotificationPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2765

  #### Parameters

  - ##### message: PrivateNotificationPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PrivateNotificationPayload ): PrivateNotificationPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2764

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrivateNotificationPayload

  #### Returns PrivateNotificationPayload . AsObject

Generated using TypeDoc